# Uses of Interface
org.eclipse.swt.events.MouseListener

Packages that use MouseListener
Package
Description
org.eclipse.swt.events
org.eclipse.swt.widgets

## Uses of MouseListener in org.eclipse.swt.events

Methods in org.eclipse.swt.events that return MouseListener
Modifier and Type
Method
Description
`static MouseListener`
MouseListener.`mouseDoubleClickAdapter(Consumer<MouseEvent> c)`
Static helper method to create a `MouseListener` for the `mouseDoubleClick(MouseEvent e)`) method with a lambda expression.
`static MouseListener`
MouseListener.`mouseDownAdapter(Consumer<MouseEvent> c)`
Static helper method to create a `MouseListener` for the `mouseDown(MouseEvent e)`) method with a lambda expression.
`static MouseListener`
MouseListener.`mouseUpAdapter(Consumer<MouseEvent> c)`
Static helper method to create a `MouseListener` for the `mouseUp(MouseEvent e)`) method with a lambda expression.

## Uses of MouseListener in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type MouseListener
Modifier and Type
Method
Description
`void`
Control.`addMouseListener(MouseListener listener)`
Adds the listener to the collection of listeners who will be notified when mouse buttons are pressed and released, by sending it one of the messages defined in the `MouseListener` interface.
`void`
Control.`removeMouseListener(MouseListener listener)`
Removes the listener from the collection of listeners who will be notified when mouse buttons are pressed and released.